# Create a product input value

Creates an input value for a product.

Endpoint: POST /v1/products/{productUuid}/input-values
Version: 1.1.0
Security: Bearer

## Path parameters:

  - `productUuid` (string, required)
    The unique identifier of the product.

## Request fields (application/json):

  - `typeGroupUuid` (string, required)
    Identifier of the type group containing the input type.

  - `inputTypeUuid` (string, required)
    Identifier of the input type for this value.

  - `channelUuid` (string,null, required)
    Identifier of the channel for this value. Null for non-scoped values.

  - `localeUuid` (string,null, required)
    Identifier of the locale for this value. Null for non-localized values.

  - `value` (string, required)
    The input value.

## Response 201 fields (application/json):

  - `uuid` (string, required)
    Unique identifier for this input value.

  - `productUuid` (string, required)
    Identifier of the product this value belongs to.

  - `typeGroupUuid` (string, required)
    Identifier of the type group containing the input type.

  - `inputTypeUuid` (string, required)
    Identifier of the input type for this value.

  - `channelUuid` (string,null, required)
    Identifier of the channel for this value. Null for non-scoped values.

  - `localeUuid` (string,null, required)
    Identifier of the locale for this value. Null for non-localized values.

  - `createdAt` (string, required)
    Timestamp when this input value was created.
    Example: "2025-11-23T14:15:22.123456Z"

  - `updatedAt` (string, required)
    Timestamp when this input value was last modified.
    Example: "2025-11-23T14:15:22.123456Z"

  - `value` (string, required)
    The input value.

## Response 401 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

## Response 403 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)

## Response 409 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)

## Response 422 fields (application/problem+json):

  - `errors` (array)

  - `errors.code` (string, required)

  - `errors.message` (string, required)

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)

## Response 500 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)


